Subject: Re: Re* [PATCH v3 2/2] doc: revert: add discussion

From: Oswald Buddenhagen <[email-masked]>
Date: Fri, 11 Aug 2023 20:16:58 +0200

On Fri, Aug 11, 2023 at 10:44:50AM -0700, Junio C Hamano wrote:
>Junio C Hamano <[email-masked]> writes:
>
>> Linus Arver <[email-masked]> writes:
>>
>>> Oswald Buddenhagen <[email-masked]> writes:
>>>
>>>> while thinking about what to write, i came up with an idea for another
>>>> improvement: with (implicit) --edit, the template message would end up
>>>> being:
>>>>
>>>>  This reverts commit <sha1>,
>>>>  because <PUT REASON HERE>.
>>>
>>> This sounds great to me.
>>
>> Oh, absolutely.  I rarely do a revert myself (other than reverting a
>> premature merge out of 'next'), but giving a better instruction in
>> the commit log editor buffer as template is a very good idea.
>
>It might be just the matter of doing something like the attached
>patch on top of Oswald's, reusing the existing code to instruct the
>user to describe the reversion.
>
hmm, this seems to be going down a too narrow road - my idea was to make 
this fully orthogonal to reverting reverts in particular (note that i 
attached it to the generic "discussion" patch rather than the "reverts 
of reverts" one).
i didn't think about the integration with existing options yet.

regards